public static final class DeleteGatewayAuthConsumerResourceResponseBody.Builder extends Object
public DeleteGatewayAuthConsumerResourceResponseBody.Builder code(Integer code)
The response code. The status code 200 indicates that the request was successful.
example:200
public DeleteGatewayAuthConsumerResourceResponseBody.Builder data(Boolean data)
Indicates whether the request was successful. Valid values:
true
public DeleteGatewayAuthConsumerResourceResponseBody.Builder dynamicCode(String dynamicCode)
The dynamic part in the error message.
example:code
public DeleteGatewayAuthConsumerResourceResponseBody.Builder dynamicMessage(String dynamicMessage)
The dynamic part in the error message. This parameter is used to replace the **%s** variable in the ErrMessage parameter.
example:If the return value of the ErrMessage parameter is The Value of Input Parameter %s is not valid and the return value of the DynamicMessage parameter is DtsJobId, the specified DtsJobId parameter is invalid.
The specified parameter is invalid.
public DeleteGatewayAuthConsumerResourceResponseBody.Builder errorCode(String errorCode)
The error code returned.
example:NoPermission
public DeleteGatewayAuthConsumerResourceResponseBody.Builder httpStatusCode(Integer httpStatusCode)
The HTTP status code.
example:200
public DeleteGatewayAuthConsumerResourceResponseBody.Builder message(String message)
The returned message.
example:The request is successfully processed.
public DeleteGatewayAuthConsumerResourceResponseBody.Builder requestId(String requestId)
The request ID.
example:3369AD10-F1A6-4E6F-B99E-20F51826****
public DeleteGatewayAuthConsumerResourceResponseBody.Builder success(Boolean success)
Indicates whether the request was successful. Valid values:
truefalsetrue
public DeleteGatewayAuthConsumerResourceResponseBody build()
Copyright © 2026. All rights reserved.